Name:           python-pytest-qt
Version:        4.4.0
Release:        %mkrel 1
Summary:        pytest support for PyQt and PySide applications
Group:          Development/Python

License:        MIT
URL:            http://github.com/pytest-dev/pytest-qt
Source:         %{pypi_source pytest-qt}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-qt6-gui python3-qt6-widgets python3-qt6-core
BuildRequires:  python3-qt6-test


%global _description %{expand:
pytest-qt is a pytest plugin that allows programmers to write tests for
PyQt5, PyQt6, PySide2 and PySide6 applications.

The main usage is to use the qtbot fixture, responsible for handling qApp
creation as needed and provides methods to simulate user interaction,
like key presses and mouse clicks.}


%description %_description

%package -n     python3-pytest-qt
Summary:        %{summary}

%description -n python3-pytest-qt %_description


%prep
%autosetup -p1 -n pytest-qt-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytestqt


%check
# tests_logging fails without this:
export QT_LOGGING_RULES="default.debug=true"
%tox


%files -n python3-pytest-qt -f %{pyproject_files}
%doc README.rst
%license LICENSE



%changelog
* Wed Jan 01 2025 papoteur <papoteur> 4.4.0-1.mga10
+ Revision: 2134406
- import for use in setools

